Bug 194556 - gnome-terminal does not wrap line properly with escape code for colors in PS1 prompt.
gnome-terminal does not wrap line properly with escape code for colors in PS1...
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Depends On:
  Show dependency treegraph
Reported: 2006-06-08 20:30 EDT by Hans Deragon
Modified: 2008-05-06 13:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans Deragon 2006-06-08 20:30:18 EDT
Description of problem:

The gnome-terminal does not wrap line properly with escape code for colors in
the PS1 prompt.  When you type far enough on the CLI (bash), it wraps too early
and does not descend to the next line, but types over the content of the current

Note that this does not occur in FC4, and neither in the initial FC5 release. 
This is a bug that has been recently introduced.

Version-Release number of selected component (if applicable):

Faulty version:              Gnome gnome-terminal 2.14.2
Version known to work well:  Gnome gnome-terminal 2.10.0

How reproducible:


Steps to Reproduce:

1.  open gnome-terminal
2.  run bash
3.  type:  export PS1='\[\e[1;32m\]test prompt\e[0;00m '
4.  type until you wrap at the end of the line.
Comment 1 Hans Deragon 2007-09-16 20:57:37 EDT
Still occurs in Ubuntu Feisty Fawn (7.04).
Comment 2 Bug Zapper 2008-04-03 23:04:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:59:40 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Hans Deragon 2008-05-06 13:22:24 EDT
Still occurring in Ubuntu 08.04.  Yes, I moved on from Fedora to Ubuntu, sorry.
 I opened this bug at gnome.org:  http://bugzilla.gnome.org/show_bug.cgi?id=531785

I believe this is where it should be tracked from now on.

Note You need to log in before you can comment on or make changes to this bug.